import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  BatchDeleteRecipeVersionCommandInput,
  BatchDeleteRecipeVersionCommandOutput,
} from "../commands/BatchDeleteRecipeVersionCommand";
import {
  CreateDatasetCommandInput,
  CreateDatasetCommandOutput,
} from "../commands/CreateDatasetCommand";
import {
  CreateProfileJobCommandInput,
  CreateProfileJobCommandOutput,
} from "../commands/CreateProfileJobCommand";
import {
  CreateProjectCommandInput,
  CreateProjectCommandOutput,
} from "../commands/CreateProjectCommand";
import {
  CreateRecipeCommandInput,
  CreateRecipeCommandOutput,
} from "../commands/CreateRecipeCommand";
import {
  CreateRecipeJobCommandInput,
  CreateRecipeJobCommandOutput,
} from "../commands/CreateRecipeJobCommand";
import {
  CreateRulesetCommandInput,
  CreateRulesetCommandOutput,
} from "../commands/CreateRulesetCommand";
import {
  CreateScheduleCommandInput,
  CreateScheduleCommandOutput,
} from "../commands/CreateScheduleCommand";
import {
  DeleteDatasetCommandInput,
  DeleteDatasetCommandOutput,
} from "../commands/DeleteDatasetCommand";
import {
  DeleteJobCommandInput,
  DeleteJobCommandOutput,
} from "../commands/DeleteJobCommand";
import {
  DeleteProjectCommandInput,
  DeleteProjectCommandOutput,
} from "../commands/DeleteProjectCommand";
import {
  DeleteRecipeVersionCommandInput,
  DeleteRecipeVersionCommandOutput,
} from "../commands/DeleteRecipeVersionCommand";
import {
  DeleteRulesetCommandInput,
  DeleteRulesetCommandOutput,
} from "../commands/DeleteRulesetCommand";
import {
  DeleteScheduleCommandInput,
  DeleteScheduleCommandOutput,
} from "../commands/DeleteScheduleCommand";
import {
  DescribeDatasetCommandInput,
  DescribeDatasetCommandOutput,
} from "../commands/DescribeDatasetCommand";
import {
  DescribeJobCommandInput,
  DescribeJobCommandOutput,
} from "../commands/DescribeJobCommand";
import {
  DescribeJobRunCommandInput,
  DescribeJobRunCommandOutput,
} from "../commands/DescribeJobRunCommand";
import {
  DescribeProjectCommandInput,
  DescribeProjectCommandOutput,
} from "../commands/DescribeProjectCommand";
import {
  DescribeRecipeCommandInput,
  DescribeRecipeCommandOutput,
} from "../commands/DescribeRecipeCommand";
import {
  DescribeRulesetCommandInput,
  DescribeRulesetCommandOutput,
} from "../commands/DescribeRulesetCommand";
import {
  DescribeScheduleCommandInput,
  DescribeScheduleCommandOutput,
} from "../commands/DescribeScheduleCommand";
import {
  ListDatasetsCommandInput,
  ListDatasetsCommandOutput,
} from "../commands/ListDatasetsCommand";
import {
  ListJobRunsCommandInput,
  ListJobRunsCommandOutput,
} from "../commands/ListJobRunsCommand";
import {
  ListJobsCommandInput,
  ListJobsCommandOutput,
} from "../commands/ListJobsCommand";
import {
  ListProjectsCommandInput,
  ListProjectsCommandOutput,
} from "../commands/ListProjectsCommand";
import {
  ListRecipesCommandInput,
  ListRecipesCommandOutput,
} from "../commands/ListRecipesCommand";
import {
  ListRecipeVersionsCommandInput,
  ListRecipeVersionsCommandOutput,
} from "../commands/ListRecipeVersionsCommand";
import {
  ListRulesetsCommandInput,
  ListRulesetsCommandOutput,
} from "../commands/ListRulesetsCommand";
import {
  ListSchedulesCommandInput,
  ListSchedulesCommandOutput,
} from "../commands/ListSchedulesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  PublishRecipeCommandInput,
  PublishRecipeCommandOutput,
} from "../commands/PublishRecipeCommand";
import {
  SendProjectSessionActionCommandInput,
  SendProjectSessionActionCommandOutput,
} from "../commands/SendProjectSessionActionCommand";
import {
  StartJobRunCommandInput,
  StartJobRunCommandOutput,
} from "../commands/StartJobRunCommand";
import {
  StartProjectSessionCommandInput,
  StartProjectSessionCommandOutput,
} from "../commands/StartProjectSessionCommand";
import {
  StopJobRunCommandInput,
  StopJobRunCommandOutput,
} from "../commands/StopJobRunCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateDatasetCommandInput,
  UpdateDatasetCommandOutput,
} from "../commands/UpdateDatasetCommand";
import {
  UpdateProfileJobCommandInput,
  UpdateProfileJobCommandOutput,
} from "../commands/UpdateProfileJobCommand";
import {
  UpdateProjectCommandInput,
  UpdateProjectCommandOutput,
} from "../commands/UpdateProjectCommand";
import {
  UpdateRecipeCommandInput,
  UpdateRecipeCommandOutput,
} from "../commands/UpdateRecipeCommand";
import {
  UpdateRecipeJobCommandInput,
  UpdateRecipeJobCommandOutput,
} from "../commands/UpdateRecipeJobCommand";
import {
  UpdateRulesetCommandInput,
  UpdateRulesetCommandOutput,
} from "../commands/UpdateRulesetCommand";
import {
  UpdateScheduleCommandInput,
  UpdateScheduleCommandOutput,
} from "../commands/UpdateScheduleCommand";
export declare const se_BatchDeleteRecipeVersionCommand: (
  input: BatchDeleteRecipeVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDatasetCommand: (
  input: CreateDatasetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateProfileJobCommand: (
  input: CreateProfileJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateProjectCommand: (
  input: CreateProjectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRecipeCommand: (
  input: CreateRecipeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRecipeJobCommand: (
  input: CreateRecipeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRulesetCommand: (
  input: CreateRulesetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateScheduleCommand: (
  input: CreateScheduleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDatasetCommand: (
  input: DeleteDatasetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteJobCommand: (
  input: DeleteJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteProjectCommand: (
  input: DeleteProjectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRecipeVersionCommand: (
  input: DeleteRecipeVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRulesetCommand: (
  input: DeleteRulesetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteScheduleCommand: (
  input: DeleteScheduleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDatasetCommand: (
  input: DescribeDatasetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeJobCommand: (
  input: DescribeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeJobRunCommand: (
  input: DescribeJobRunCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeProjectCommand: (
  input: DescribeProjectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRecipeCommand: (
  input: DescribeRecipeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRulesetCommand: (
  input: DescribeRulesetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeScheduleCommand: (
  input: DescribeScheduleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDatasetsCommand: (
  input: ListDatasetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListJobRunsCommand: (
  input: ListJobRunsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListJobsCommand: (
  input: ListJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListProjectsCommand: (
  input: ListProjectsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRecipesCommand: (
  input: ListRecipesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRecipeVersionsCommand: (
  input: ListRecipeVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRulesetsCommand: (
  input: ListRulesetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSchedulesCommand: (
  input: ListSchedulesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PublishRecipeCommand: (
  input: PublishRecipeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SendProjectSessionActionCommand: (
  input: SendProjectSessionActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartJobRunCommand: (
  input: StartJobRunCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartProjectSessionCommand: (
  input: StartProjectSessionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopJobRunCommand: (
  input: StopJobRunCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDatasetCommand: (
  input: UpdateDatasetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateProfileJobCommand: (
  input: UpdateProfileJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateProjectCommand: (
  input: UpdateProjectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRecipeCommand: (
  input: UpdateRecipeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRecipeJobCommand: (
  input: UpdateRecipeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRulesetCommand: (
  input: UpdateRulesetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateScheduleCommand: (
  input: UpdateScheduleCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_BatchDeleteRecipeVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDeleteRecipeVersionCommandOutput>;
export declare const de_CreateDatasetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDatasetCommandOutput>;
export declare const de_CreateProfileJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateProfileJobCommandOutput>;
export declare const de_CreateProjectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateProjectCommandOutput>;
export declare const de_CreateRecipeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRecipeCommandOutput>;
export declare const de_CreateRecipeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRecipeJobCommandOutput>;
export declare const de_CreateRulesetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRulesetCommandOutput>;
export declare const de_CreateScheduleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateScheduleCommandOutput>;
export declare const de_DeleteDatasetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDatasetCommandOutput>;
export declare const de_DeleteJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteJobCommandOutput>;
export declare const de_DeleteProjectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteProjectCommandOutput>;
export declare const de_DeleteRecipeVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRecipeVersionCommandOutput>;
export declare const de_DeleteRulesetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRulesetCommandOutput>;
export declare const de_DeleteScheduleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteScheduleCommandOutput>;
export declare const de_DescribeDatasetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDatasetCommandOutput>;
export declare const de_DescribeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeJobCommandOutput>;
export declare const de_DescribeJobRunCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeJobRunCommandOutput>;
export declare const de_DescribeProjectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeProjectCommandOutput>;
export declare const de_DescribeRecipeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRecipeCommandOutput>;
export declare const de_DescribeRulesetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRulesetCommandOutput>;
export declare const de_DescribeScheduleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeScheduleCommandOutput>;
export declare const de_ListDatasetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDatasetsCommandOutput>;
export declare const de_ListJobRunsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListJobRunsCommandOutput>;
export declare const de_ListJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListJobsCommandOutput>;
export declare const de_ListProjectsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListProjectsCommandOutput>;
export declare const de_ListRecipesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRecipesCommandOutput>;
export declare const de_ListRecipeVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRecipeVersionsCommandOutput>;
export declare const de_ListRulesetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRulesetsCommandOutput>;
export declare const de_ListSchedulesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSchedulesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_PublishRecipeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PublishRecipeCommandOutput>;
export declare const de_SendProjectSessionActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SendProjectSessionActionCommandOutput>;
export declare const de_StartJobRunCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartJobRunCommandOutput>;
export declare const de_StartProjectSessionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartProjectSessionCommandOutput>;
export declare const de_StopJobRunCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopJobRunCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateDatasetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDatasetCommandOutput>;
export declare const de_UpdateProfileJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateProfileJobCommandOutput>;
export declare const de_UpdateProjectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateProjectCommandOutput>;
export declare const de_UpdateRecipeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRecipeCommandOutput>;
export declare const de_UpdateRecipeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRecipeJobCommandOutput>;
export declare const de_UpdateRulesetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRulesetCommandOutput>;
export declare const de_UpdateScheduleCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateScheduleCommandOutput>;
